PHP Classes

Do we need explicit driver support for access in metabase

Recommend this page to a friend!

      Metabase  >  All threads  >  Do we need explicit driver support...  >  (Un) Subscribe thread alerts  
Subject:Do we need explicit driver support...
Summary:Do we need explicit driver support for access in metabase
Messages:17
Author:swamyvnvs
Date:2010-03-25 12:51:27
Update:2010-04-02 08:44:39
 
  1 - 10   11 - 17  

  11. Re: Do we need explicit driver support...   Reply   Report abuse  
Picture of swamyvnvs swamyvnvs - 2010-04-01 04:47:56 - In reply to message 10 from Manuel Lemos
Hi,
Thanks for your reply.
But according to access Driver it needs client and server machines.
Here I copied my mdb file to unix and then I need to perform operations(like insert, update) on that mdb file.

Thanks & Regards

  12. Re: Do we need explicit driver support...   Reply   Report abuse  
Picture of swamyvnvs swamyvnvs - 2010-04-01 05:58:53 - In reply to message 10 from Manuel Lemos
The which you have mentioned is a paid one.Could you please tell me any open source of that kind.

Thanks & Regards

  13. Re: Do we need explicit driver support...   Reply   Report abuse  
Picture of Manuel Lemos Manuel Lemos - 2010-04-01 08:06:25 - In reply to message 12 from swamyvnvs
No, you are probably looking at ODBC bridge drivers.

If you want a driver that allows you create MDB files and set DSN to connect using UnixODBC with PHP, you can used MDBTools.

sourceforge.net/projects/mdbtools/

If you use OpenSuSE Linux, you can install mdbtools-odbc package or search here for ready to use RPM package:

software.opensuse.org/search

  14. Re: Do we need explicit driver support...   Reply   Report abuse  
Picture of swamyvnvs swamyvnvs - 2010-04-01 10:26:36 - In reply to message 13 from Manuel Lemos
we are using centOS. Could you please send me any open source of my kind of requirement.

Thanks & Regards

  15. Re: Do we need explicit driver support...   Reply   Report abuse  
Picture of Manuel Lemos Manuel Lemos - 2010-04-01 20:02:25 - In reply to message 14 from swamyvnvs
MDBTools is Open Source. Use it.

  16. Re: Do we need explicit driver support...   Reply   Report abuse  
Picture of swamyvnvs swamyvnvs - 2010-04-02 05:06:33 - In reply to message 15 from Manuel Lemos
Hi,

Thanks for that.

But in the site 'http://bryanmills.net/archives/2003/11/microsoft-access-database-using-linux-and-php/' it has mentioned some limitations that

As of the time of writing this entry MDBTools did not support write access to the mdb files. This was fine for my purposes as I was reading data in and sticking it into a mysql database.
- There is a bug in MDBTools v0.5 which does not allow you to query tables or columns with an underscore. This was a bug I hit early on, but it has been fixed in new version 0.6 but that has not been released as of the time of writing this article. So I recompiled the 0.5 source code with the fix from the 0.6 CVS repository. I have bundled it into a 0.5 release and have the two rpms mentioned above here:
mdbtools-0.5-1.i386.rpm
mdbtools-odbc-0.5-1.i386.rpm

I would check the official download site before using my hacked version as Iím sure this bug will be fixed in 0.6 (plus rumor has write access will be present as well).

But my reauirement is to insert or update the data in mdb files.
May you please reply me soon.

Thanks & Regards.

  17. Re: Do we need explicit driver support...   Reply   Report abuse  
Picture of swamyvnvs swamyvnvs - 2010-04-02 08:44:39 - In reply to message 15 from Manuel Lemos
Hi,
sorry for that.

mdbtool0.6 does not have the write access on the MDB file.

Thanks & Regards

 
  1 - 10   11 - 17